Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Fetching contributors…

Cannot retrieve contributors at this time

65 lines (58 sloc) 2.916 kB
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
<modelVersion>4.0.0</modelVersion>
<groupId>com.ambientideas</groupId>
<version>1.8-SNAPSHOT</version>
<artifactId>sample-multiprojwithscm</artifactId>
<packaging>pom</packaging>
<name>Sample - MultiProj with SCM - Master Project</name>
<url>http://github.com/matthewmccullough/maven-training-samplegitscm/tree/master</url>
<modules>
<module>subproj1</module>
<module>subproj2</module>
</modules>
<!-- The customized dependencies below solve some issues introduced in Maven 2.0.10 with the release and Git SCM provider -->
<prerequisites>
<maven>2.0.9</maven>
</prerequisites>
<scm>
<!-- You would think this is a Public Read-Only connection, but it allows for authenticated PUSH too -->
<connection>scm:git:git://github.com/matthewmccullough/maven-training-samplegitscm.git</connection>
<!-- Private Read-Write connection - Untested so far-->
<!-- <connection>scm:git:ssh://github.com/matthewmccullough/maven-training-samplegitscm.git</connection> -->
<url>http://github.com/matthewmccullough/maven-training-samplegitscm/tree/master</url>
</scm>
<!-- Bug introduced by Maven 2.0.9, solved by 2.0.10. Add this section if you are using Maven 2.0.9, remove it if 2.0.10 -->
<!--
<build>
<plugins>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-release-plugin</artifactId>
<dependencies>
-->
<!-- The release plugin requires these dependencies to be explicitly defined, or the GIT plugin won't work in Maven 2.0.9 -->
<!-- Solves the "The provider given in the SCM URL could not be found: No such provider: 'git'."" error -->
<!-- Bug introduced by Maven 2.0.9, solved by 2.0.10. Add this dependency if you are using Maven 2.0.9, remove it if 2.0.10 -->
<!--
<dependency>
<groupId>org.apache.maven.scm</groupId>
<artifactId>maven-scm-provider-gitexe</artifactId>
<version>1.1</version>
</dependency>
-->
<!-- Solves java.lang.NoClassDefFoundError: org/codehaus/plexus/util/xml/XmlStreamReader -->
<!-- Bug introduced by Maven 2.0.9, solved by 2.0.10. Add this dependency if you are using Maven 2.0.9, remove it if 2.0.10 -->
<!--
<dependency>
<groupId>org.codehaus.plexus</groupId>
<artifactId>plexus-utils</artifactId>
<version>1.5.6</version>
</dependency>
-->
<!--
</dependencies>
</plugin>
</plugins>
</build>
-->
</project>
Jump to Line
Something went wrong with that request. Please try again.